List bridges and DEX aggregators
curl --request GET \
--url https://api.hypermid.io/v1/tools \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.hypermid.io/v1/tools"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.hypermid.io/v1/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"tools": [
{
"key": "stargate",
"name": "Stargate",
"type": "bridge",
"supportedChains": [1, 42161, 137, 10, 8453, 43114, 56]
},
{
"key": "hop",
"name": "Hop Protocol",
"type": "bridge",
"supportedChains": [1, 42161, 137, 10]
},
{
"key": "across",
"name": "Across Protocol",
"type": "bridge",
"supportedChains": [1, 42161, 137, 10, 8453]
},
{
"key": "1inch",
"name": "1inch",
"type": "dex",
"supportedChains": [1, 42161, 137, 10, 56, 43114]
},
{
"key": "near-intents",
"name": "Near Intents",
"type": "intents",
"supportedChains": [900000001, 900000002, 900000003, 900000004]
}
]
},
"error": null,
"meta": {
"requestId": "d4e5f6a7-b8c9-0123-def0-234567890123",
"timestamp": 1711234570,
"rateLimit": {
"limit": 2000,
"remaining": 1996,
"reset": 1711234627
}
}
}
Discovery
Get Tools
List available swap and bridge tools
GET
/
v1
/
tools
List bridges and DEX aggregators
Returns the list of available bridge and DEX aggregator tools that Hypermid can use for swaps.
{
"data": {
"tools": [
{
"key": "stargate",
"name": "Stargate",
"type": "bridge",
"supportedChains": [1, 42161, 137, 10, 8453, 43114, 56]
},
{
"key": "hop",
"name": "Hop Protocol",
"type": "bridge",
"supportedChains": [1, 42161, 137, 10]
},
{
"key": "across",
"name": "Across Protocol",
"type": "bridge",
"supportedChains": [1, 42161, 137, 10, 8453]
},
{
"key": "1inch",
"name": "1inch",
"type": "dex",
"supportedChains": [1, 42161, 137, 10, 56, 43114]
},
{
"key": "near-intents",
"name": "Near Intents",
"type": "intents",
"supportedChains": [900000001, 900000002, 900000003, 900000004]
}
]
},
"error": null,
"meta": {
"requestId": "d4e5f6a7-b8c9-0123-def0-234567890123",
"timestamp": 1711234570,
"rateLimit": {
"limit": 2000,
"remaining": 1996,
"reset": 1711234627
}
}
}
const tools = await client.getTools();
const bridges = tools.data.tools.filter(t => t.type === "bridge");
console.log("Available bridges:", bridges.map(b => b.name).join(", "));
curl https://api.hypermid.io/v1/tools \
-H "X-API-Key: your-api-key"
req, _ := http.NewRequest("GET", "https://api.hypermid.io/v1/tools", nil)
req.Header.Set("X-API-Key", "your-api-key")
resp, _ := http.DefaultClient.Do(req)
⌘I